How to check Catalyst version

Want know check your Cataclyst driver version? Here’s how.


What Catalyst version do I have


1. Step Right-click on the red ATI tray icon
2. Step At the top click on Catalyst Control Center

Catalyst control center

3. StepNext check Advanced, click on Next and confirm the prompt with Yes
AdvanceD Catalyst settings

4. Step At the top, select Information Center from the dropdown:

catalyst information center

5. Step Now, if you have a new Catalyst driver installed there will be an entry Catalyst version. If this entry is missing, proceed below.

Catalyst driver version

6. Don’t have a Catalyst version?

If Catalyst version is not listed, check the value of CCC (Catalyst Control Center Version)

Catalyst control center version

Catalyst Control Center Version could be: 2010.0803.2125.36577

So your Catalyst driver version is then 10.8 (August 2010)

If a CCC says 2009.1124 then it can be 9.12 (because the actual driver would be released in December)

4.2 of 5 0 (83%) 6 votes
- Cheers!


Written by:
Oliver is the founder and lead editor of this site. He is interested in finding new ways to break Windows, find common errors and help others to fix them. Aside from that, he loves to fully customize systems with Rainmeter and Dreamscene, find out more about ancient civilizations like the Chachapoya, sharpen his digital photography skills and create software with a small group of selected developers. If you would like to connect with him to discuss anything, send him a mail!

Learn More About.Me

Follow me on Twitter for daily updates:

Contact The Author:
support@windows7themes.net

Get Free Help

Connect With Our Site:

 

   


Need help? Ask a question at our QA site, click the red button to get started:
Want to support us? Great, simply buy your favorite games from G2A via our referral link (g2a.com/r/win7themes) and save money at the same time:

17 Responses to How to check Catalyst version

  1. Orange Community Approved Comment:
    carmen eaves said:

    erm i don’t know how to find this ati or ccc @_@ well its safe to say i’m techno inept. if you could please give me baser steps i would really appreciate it. i’m trying to run this beta and after i click the icon it won’t even start just auto “ain’t gonna happen bucko” i’ve run the benchmark and got a score of 0 even if i could hear the stuff but not see it ; ;. this is so depressing please help ; ;

  2. Orange Community Approved Comment:
    carmen eaves said:

    btw i’m a vista user if this helps at all ; ;

  3. Orange Community Approved Comment:
    sOliver said:

    Carman, do you have that red ATI icon in your tray (the right-bottom corner)?

    You can download the Catalyst Software Suite (32 bit) for Vista here:
    http://sites.amd.com/us/game/downloads/Pages/radeon-vista-32.aspx

    It includes the drivers that you need.. download it and install it, then you should have that red icon and you can follow the guide above.

    Let me know if you have any questions…

  4. Orange Community Approved Comment:
    MStevens said:

    I’m confused I went through these steps and updated my catalyst center for Windows 7 64 bit, yet it still won’t launch the updater for FFXIV. I also tried checking the version of the catalyst center and it still shows the december version, but when I try to re-install it says that all of my drivers are fully up to date.

  5. Orange Community Approved Comment:
    james said:

    my final fntasy 14 has stopped working as well, i have an intel graphics card, anyone know how to get mine working?

  6. Orange Community Approved Comment:
    cosmic_c said:

    Ditto
    FFxiv has stopped working, is the problem I have been running into today.
    went through uninstall/update ATI graphic driver with current patch
    opened CCC, yet still shows older atiumdag.dll file

    How do you update to the latest Catalyst driver? <10.8
    Ive checked the ATI site- Saved and ran the DL, yet still nothing

    Thanks in advance
    CC

    Listed below is my "error"
    which apparently is common for Windows7(64bit)

    Problem signature:
    Problem Event Name: APPCRASH
    Application Name: ffxivboot.exe
    Application Version: 1.0.0.0
    Application Timestamp: 4c355192
    Fault Module Name: atiumdag.dll
    Fault Module Version: 8.14.10.723
    Fault Module Timestamp: 4b59aa8d
    Exception Code: c0000005
    Exception Offset: 00210eb6
    OS Version: 6.1.7600.2.0.0.768.3
    Locale ID: 4105
    Additional Information 1: 0a9e
    Additional Information 2: 0a9e372d3b4ad19135b953a78882e789
    Additional Information 3: 0a9e
    Additional Information 4: 0a9e372d3b4ad19135b953a78882e789

  7. Orange Community Approved Comment:
    Ryne said:

    I updated mine a few minutes ago. And it still shows the following versions.

    Catalyst™ Control Center Version 2010.0122.858.16002

    Oddly enough it doesnt show a CAtalyst Verion on the screen. I’ve downloaded the update from the website and from a driver scanner program (Driver Cure from ParentoLogic). Both give me the exact same version of what I’ve got…

  8. Orange Community Approved Comment:
    MStevens said:

    Well I managed to fix mine. I had to uninstall my graphic drivers and then I just re-installed the Catalyst Suite from the ATI, and the launcher is downloading the updates as I’m typing this. :D

  9. Orange Community Approved Comment:
    rijstevlaai said:

    hello i also have the problem that FFxiv stops at the moment i press the play button. i got a Nvidia Gforce GT335m video card anyone knows how to help me

    *my FFxiv did the updates though.

  10. Orange Community Approved Comment:
    sOliver said:

    Could you please post your questions about Final Fantasy 14 in the other article, this post is all about “How to check the Catalyst version”.

    I also want to mention that you can now update your Catalyst drivers via Steam, so basically there is no need to check your catalyst version any longer. Open Steam and download your Catalyst drivers and it should work. If it doesn’t you have another problem, please see the other article for more infos.

  11. Orange Community Approved Comment:
    sOliver said:

    @Ryne Why would you download the Catalyst drivers from a driver scanner website? Usually those sites are fake and infect your PC with viruses. I would recommend to follow the example of MStevens and head over to ati.com or amd.com and download the latest Catalyst drivers there or simply install Steam and let it check your Catalyst drivers (it will know your version and find all updates automatically).

    @rijstevlaai you don’t have an ATI/AMD card .. so did you update your NVIDIA graphic card drivers?

  12. Orange Community Approved Comment:
    Xein said:

    Well, i tried to install the newest recommended ATI Program. But it says it didn’t detect a 34 OS compatible system when mine IS combatible in every aspects. Anyone to give me a friggin link so i don’t have to stress about this outrage? Or i won’t ever be able to play FFXIV…

    Notice: Don’t ask me for my PC Info, mine’s perfectly clear and i’m perfectly knowing that it should work, unless something stupid just gave me a rage on.

  13. Orange Community Approved Comment:
    sOliver said:

    Xein, please post the entire error word by word or we can’t help you. Also, where did you download the ATI drivers? From amd.com or ati.com? If not, download again…

  14. Orange Community Approved Comment:
    Noskills said:

    Here’s my Error Code… anyone have an idea?

    Problem Event Name: APPCRASH
    Application Name: ffxivboot.exe
    Application Version: 1.0.0.0
    Application Timestamp: 4c355192
    Fault Module Name: atiumdag.dll
    Fault Module Version: 8.14.10.716
    Fault Module Timestamp: 4b0df3e7
    Exception Code: c0000005
    Exception Offset: 002106c6
    OS Version: 6.1.7600.2.0.0.256.48
    Locale ID: 4105
    Additional Information 1: 0a9e
    Additional Information 2: 0a9e372d3b4ad19135b953a78882e789
    Additional Information 3: 0a9e
    Additional Information 4: 0a9e372d3b4ad19135b953a78882e789

    HERES MY CATALYST INFO.

    Driver Packaging Version 8.68.2-091125a1-092358C-Dell
    Provider ATI Technologies Inc.
    2D Driver Version 8.01.01.984
    2D Driver File Path /REGISTRY/MACHINE/SYSTEM/ControlSet001/Control/CLASS/{4D36E968-E325-11CE-BFC1-08002BE10318}/0002
    Direct3D Version 8.14.10.0716
    OpenGL Version 6.14.10.9210
    Catalyst™ Control Center Version 2010.0803.2125.36577

  15. Orange Community Approved Comment:
    dsuede said:

    i had the 2009 in ccc and just did the catalyst suite and im downloading ffxiv updates now i didnt have to uninstall either just downloaded and installed thanks for all ur help

  16. Orange Community Approved Comment:
    help me pls said:

    i have download all 23 files and patches
    i have the Versione di Catalyst™ Control Center 2009.0804.2223.38385 what i have to do now

  17. Orange Community Approved Comment:
    KvasOOn said:

    thanks :) this helped me a lot!! beacause my CCC didnt show 11.5 but 2011.05….

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>

Current day month ye@r *